sbservices_client_free
sbservices_client_new
sbservices_client_start_service
sbservices_client_t
sbservices_error_t
sbservices_get_home_screen_wallpaper_pngdata
sbservices_get_icon_pngdata
sbservices_get_icon_state
sbservices_get_interface_orientation
sbservices_interface_orientation_t
SBSERVICES_SERVICE_NAME
sbservices_set_icon_state

## sbservices_get_interface_orientation()

LIBIMOBILEDEVICE_API sbservices_error_t sbservices_get_interface_orientation | ( | sbservices_client_t | client,
|  | sbservices_interface_orientation_t * | interface_orientation )

Gets the interface orientation of the device.

Parameters

  client | The connected sbservices client to use.
  interface_orientation | The interface orientation upon successful return.

Returns
  SBSERVICES_E_SUCCESS on success, SBSERVICES_E_INVALID_ARG when client or state is invalid, or an SBSERVICES_E_* error code otherwise.